Bug 492829 - virt-manager console should only scale console when maximised or fullscreen
virt-manager console should only scale console when maximised or fullscreen
Product: Fedora
Classification: Fedora
Component: virt-manager (Show other bugs)
All Linux
low Severity medium
: ---
: ---
Assigned To: Daniel Berrange
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2009-03-30 04:21 EDT by Jens Petersen
Modified: 2009-09-14 11:50 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-09-14 11:50:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jens Petersen 2009-03-30 04:21:11 EDT
Description of problem:
virt-manager should not scale the console unless necessary: ie unless it is too big to fit on the screen or the console window is made larger.

Version-Release number of selected component (if applicable):

How reproducible:
every time

Steps to Reproduce:
1. boot guest OS
Actual results:
1. console is "scaled"

Expected results:
1. fedora defaults to 800x600 so no need to scale

Additional info:
I have a sense of deja vu: I seem to remember this having come up before and having been fixed already?

It is annoying to have to keep turning off scaling and scaling down the window to the actual size.

Not completely sure if this also affects 0.7 in rawhide - it may do.  I don't have a baremetal rawhide box to test on currently.
Comment 1 Mark McLoughlin 2009-03-30 06:17:06 EDT
Does setting the "Graphical Console Scaling == Fullscreen" preference help ?
Comment 2 Cole Robinson 2009-04-06 13:40:52 EDT
Virt-manager 0.6.1 doesn't have the 'Only scale when fullscreen' option that is present in 0.7.0 (the version in rawhide). The verdict is still out on whether 0.7.0 will be backported to F10 (I'm thinking it will), so moving to POST in the interim.
Comment 3 Mark McLoughlin 2009-04-20 06:23:28 EDT
removing needinfo flag
Comment 4 Cole Robinson 2009-09-14 11:50:32 EDT
I think it's too late to be backporting a major virt-manager version to F10, so
moving this bug F11 (where it is fixed) and closing as CURRENTRELEASE.

Note You need to log in before you can comment on or make changes to this bug.